
#ifndef __overlay_header__
#define __overlay_header__

/*** ASM macros	****************************/
#define OVL_EXTERNALS(N) \
	_ov_word_size_live_##N,\
	_ov_word_size_run_##N,\
	_ov_startaddress_##N, \
	_ov_runtimestartaddress_##N


#define OVL_STRUCT_INIT(N) \
	{ \
		PAGE(_ov_startaddress_##N), \
		_ov_startaddress_##N, \
		_ov_word_size_live_##N, \
		PAGE(_ov_runtimestartaddress_##N), \
		_ov_runtimestartaddress_##N, \
		_ov_word_size_run_##N \
	}


/*** LDF macros	****************************/
#define OVL_SECTION(N) \
  OVERLAY_INPUT { \
    ALGORITHM (ALL_FIT)	\
    OVERLAY_OUTPUT ( \
      $COMMAND_LINE_OUTPUT_DIRECTORY\ovl \
      ##N##.ovl ) \
    INPUT_SECTIONS ($OBJECTS(code_overlay##N)) \
  }

	
/*** C-style structures ********************/  
#ifdef _LANGUAGE_C
	
typedef struct  {	
	int live_page;
	int live_addr;
	int live_size;
	int run_page;
	int run_addr;	
	int run_size;			
} ovl_struct;

#endif	
	
#endif



